Get a data view

Server: https://{kibana_url}
  • GET /api/data_views/data_view/{viewId}

Retrieve a single data view by its identifier. Data views identify the Elasticsearch data you want to explore and visualize. They can point to one or more data streams, indices, or index aliases, and use optional runtime fields to compute values at query time. Note that data views are not required for ES|QL-based visualizations. To learn more, refer to the data views documentation.

Path Parameters

viewId string required

An identifier for the data view.

Responses